Package org.apache.tools.ant.taskdefs.cvslib

# Class ChangeLogWriter

java.lang.Object
org.apache.tools.ant.taskdefs.cvslib.ChangeLogWriter

public class ChangeLogWriter extends Object
Class used to generate an XML changelog.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ChangeLogWriter()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `printChangeLog(PrintWriter output, CVSEntry[] entries)`
  Print out the specified entries.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ChangeLogWriter

    public ChangeLogWriter()

- ## Method Details

  - ### printChangeLog

    public void printChangeLog(PrintWriter output, CVSEntry[] entries)
    Print out the specified entries.
    Parameters:
      `output` - writer to which to send output.
      `entries` - the entries to be written.